aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThierry Vignaud <thierry.vignaud@gmail.com>2014-09-08 12:31:26 +0200
committerThierry Vignaud <thierry.vignaud@gmail.com>2014-09-09 15:06:24 +0200
commit17a8e22f0bcc0cbb2f0571fb750128b90af87253 (patch)
tree5fd096b1b325c881a2309cbc0308b85c8d394857
parent3c78b7a354e9e4168efb30566180be7839d9a4a0 (diff)
downloadrpm-setup-17a8e22f0bcc0cbb2f0571fb750128b90af87253.tar
rpm-setup-17a8e22f0bcc0cbb2f0571fb750128b90af87253.tar.gz
rpm-setup-17a8e22f0bcc0cbb2f0571fb750128b90af87253.tar.bz2
rpm-setup-17a8e22f0bcc0cbb2f0571fb750128b90af87253.tar.xz
rpm-setup-17a8e22f0bcc0cbb2f0571fb750128b90af87253.zip
use upstream pkgconfigdeps.sh
after syncing, the only remaining difference is checks added by boklm because we were still using the external generator
-rw-r--r--Makefile.am1
-rw-r--r--NEWS3
-rw-r--r--UPSTREAM1
-rwxr-xr-xfind-provides.in6
-rwxr-xr-xfind-requires.in6
-rwxr-xr-xpkgconfigdeps.sh59
6 files changed, 9 insertions, 67 deletions
diff --git a/Makefile.am b/Makefile.am
index 5fd9df3..c9ae590 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -40,7 +40,6 @@ pkg_scripts = \
perl.req-from-meta \
php.prov \
php.req \
- pkgconfigdeps.sh \
pythoneggs.py \
rubygems.rb
diff --git a/NEWS b/NEWS
index 42ea1e6..f9df824 100644
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,6 @@
+- use upstream pkgconfigdeps.sh as we only have more checks because we were
+ still using the external generator
+
Version 1.198 - 26 May 2014, by Jani Välimaa
- gi-find-deps.sh: improve sed magic to handle special sugar typelib requires
diff --git a/UPSTREAM b/UPSTREAM
index 5477c92..412e70e 100644
--- a/UPSTREAM
+++ b/UPSTREAM
@@ -4,4 +4,3 @@
Other divergences:
- perl.prov, perl.req: quite some work prior to merge but doable
-- pkgconfigdeps.sh: forked, work needed
diff --git a/find-provides.in b/find-provides.in
index 64ad479..1e16d3c 100755
--- a/find-provides.in
+++ b/find-provides.in
@@ -98,9 +98,9 @@ fi
#
# --- Pkgconfig deps
-[ -x @RPMVENDORDIR@/pkgconfigdeps.sh ] &&
- echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/pkgconfigdeps.sh -P | sort -u \
- && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/pkgconfigdeps.sh failed' >&2 && exit 1
+[ -x @RPMLIBDIR@/pkgconfigdeps.sh ] &&
+ echo "$filelist" | tr '[:blank:]' \\n | @RPMLIBDIR@/pkgconfigdeps.sh -P | sort -u \
+ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/pkgconfigdeps.sh failed' >&2 && exit 1
#
# --- mimehandler
diff --git a/find-requires.in b/find-requires.in
index fe7f8da..bc69f0c 100755
--- a/find-requires.in
+++ b/find-requires.in
@@ -256,9 +256,9 @@ fi
#
# --- Pkgconfig deps
-[ -x @RPMVENDORDIR@/pkgconfigdeps.sh ] &&
- echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/pkgconfigdeps.sh -R | sort -u \
- && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/pkgconfigdeps.sh failed' >&2 && exit 1
+[ -x @RPMLIBDIR@/pkgconfigdeps.sh ] &&
+ echo "$filelist" | tr '[:blank:]' \\n | @RPMLIBDIR@/pkgconfigdeps.sh -R | sort -u \
+ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/pkgconfigdeps.sh failed' >&2 && exit 1
#
# --- typelib() gobject-introspection bindings
diff --git a/pkgconfigdeps.sh b/pkgconfigdeps.sh
deleted file mode 100755
index da6e9aa..0000000
--- a/pkgconfigdeps.sh
+++ /dev/null
@@ -1,59 +0,0 @@
-#!/bin/bash
-
-pkgconfig=/usr/bin/pkg-config
-test -x $pkgconfig || {
- cat > /dev/null
- exit 0
-}
-
-[ $# -ge 1 ] || {
- cat > /dev/null
- exit 0
-}
-
-$pkgconfig --atleast-pkgconfig-version="0.24" || {
- cat > /dev/null
- exit 0
-}
-
-case $1 in
--P|--provides)
- while read filename ; do
- case "${filename}" in
- *.pc)
- # Query the dependencies of the package.
- DIR="`dirname ${filename}`"
- export PKG_CONFIG_PATH="$DIR:$DIR/../../share/pkgconfig"
- $pkgconfig --print-errors --print-provides $filename | while read n r v ; do
- # We have a dependency. Make a note that we need the pkgconfig
- # tool for this package.
- test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1
- echo -n "pkgconfig($n) "
- [ -n "$r" ] && [ -n "$v" ] && echo -n "$r" "$v"
- echo
- done
- test ${PIPESTATUS[0]} -ne 0 && echo "$pkgconfig returned an error" >&2 && exit 1
- # The dependency on the pkgconfig package itself.
- ;;
- esac
- done
- ;;
--R|--requires)
- while read filename ; do
- case "${filename}" in
- *.pc)
- DIR="`dirname ${filename}`"
- export PKG_CONFIG_PATH="$DIR:$DIR/../../share/pkgconfig"
- $pkgconfig --print-errors --print-requires --print-requires-private $filename | while read n r v ; do
- test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1
- [ -n "$n" ] || continue
- echo -n "pkgconfig($n) "
- [ -n "$r" ] && [ -n "$v" ] && echo -n "$r" "$v"
- echo
- done
- test ${PIPESTATUS[0]} -ne 0 && echo "$pkgconfig returned an error" >&2 && exit 1
- esac
- done
- ;;
-esac
-exit 0